# $Revision: 1.12 $, $Date: 2010/04/17 22:44:09 $
Summary:	GeoLite Country - Country database for GeoIP
Summary(pl.UTF-8):	GeoLite Country - baza danych krajów dla GeoIP
Name:		GeoIP-db-Country
# Updated every month:
Version:	2010.04.02
Release:	1
License:	OPEN DATA LICENSE (see LICENSE.txt)
Group:		Applications/Databases
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
# Source0-md5:	b7574c34e97fc07be1457dd47f5bc707
Source1:	http://www.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
URL:		http://www.maxmind.com/app/geolitecountry
Requires:	GeoIP-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoIP is a C library that enables the user to find the country that
any IP address or hostname originates from. It uses a file based
database that is accurate as of March 2003. This database simply
contains IP blocks as keys, and countries as values. This database
should be more complete and accurate than using reverse DNS lookups.

GeoLite Country is similar to the GeoIP Country database, but is not
as accurate. Should you require greater accuracy, GeoIP Country is a
drop-in replacement for GeoLite Country.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
GeoIP jest biblioteką napisaną w C umożliwiającą użytkownikowi
odnalezienie państwa, z którego pochodzi dany adres IP lub domena.
Używa do tego zapisanej w pliku bazy danych (z marca 2003). W bazie
tej adresy IP są kluczami, a państwa wartościami. Powinna ona być
dokładniejsza niż sprawdzanie odwrotnego DNS.

GeoLite Country jest podobna do bazy danych GeoIP Country, ale nie
jest tak dokładna. Jeśli wymagana jest większa dokładność, GeoIP
Country jest zamiennikiem GeoLite Country.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -q -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

gunzip GeoIP.dat.gz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP

install GeoIP.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/GeoIP/*.dat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GeoIP-db-Country.spec,v $
Revision 1.12  2010/04/17 22:44:09  charles
- up to 2010.04.02

Revision 1.11  2010/02/25 21:56:02  charles
- up to 2010.02.02

Revision 1.10  2009/11/14 12:09:30  wiget
- 2009.11.02

Revision 1.9  2009/10/24 11:39:38  charles
- updated to 2009.10.01

Revision 1.8  2009/09/06 14:04:00  radek
- up to 2009.09.02

Revision 1.7  2009/08/10 21:54:52  zawadaa
- up to 2009.08.01

Revision 1.6  2009/05/06 10:31:13  amateja
- updated to 2009.05.02

Revision 1.5  2009/02/13 21:54:05  duddits
- up to 2009.02.02

Revision 1.4  2008/12/31 11:28:09  duddits
- up to 2008.12.02, Source0 URL updated

Revision 1.3  2008/03/20 22:49:21  undefine
- up to 2008.03.01

Revision 1.2  2007/08/25 08:49:01  qboosh
- pl

Revision 1.1  2007/08/06 14:01:14  blues
- initial
